/******************************************************************************
*
* Freescale Semiconductor Inc.
* (c) Copyright 2004-2005 Freescale Semiconductor, Inc.
* (c) Copyright 2001-2004 Motorola, Inc.
* ALL RIGHTS RESERVED.
*
***************************************************************************//*!
*
* @file      controller.h
*
* @author    r79251
* 
* @version   1.1.0.0
* 
* @date      Sep-20-2007
* 
* @brief     Brief description of the file
*
*******************************************************************************
*
* Detailed Description of the file. If not used, remove the separator above.
*
******************************************************************************/

#ifndef _CONTROLLER_H
#define _CONTROLLER_H

#include "main.h"

/******************************************************************************
* Types
******************************************************************************/

typedef unsigned char  UBYTE;
typedef signed char    BYTE;

typedef struct
{
    UBYTE   proportionalGain;
    UBYTE   integralGain;
    int     integral_K1;
} REG_PIparamsType;


/******************************************************************************
* Global functions
******************************************************************************/

int regPI(BYTE regPI_ControlDifference, REG_PIparamsType *regPI_Params);

int regPIsat(BYTE regPI_ControlDifference, REG_PIparamsType *regPI_Params, UBYTE bSatFlag );

/******************************************************************************
* Inline functions
******************************************************************************/

#endif /* _CONTROLLER_H */

